package com.ssj.bean.sys.wrongbook.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "scon_homework_wrong_question")
public class HomeworkWrongQuestion extends BaseEntity {

    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Column(name = "homework_id")
    private String homeworkId;

    @Column(name = "homework_picture_id")
    private String homeworkPictureId;

    private String image;

    @Column(name = "create_time")
    private Date createTime;

    @Column(name = "wrong_title")
    private String wrongTitle;

    @Column(name = "correct_text")
    private String correctText;

    @Column(name = "list_num")
    private String listNum;

    @Column(name = "line_num")
    private Integer lineNum;

    @Column(name = "column_num")
    private Integer columnNum;

    @Column(name = "student_id")
    private String studentId;

    @Column(name = "derver")
    private String derver;
    @Column( updatable = false)
    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }
    @Column( updatable = false)
    public String getHomeworkPictureId() {
        return homeworkPictureId;
    }

    public void setHomeworkPictureId(String homeworkPictureId) {
        this.homeworkPictureId = homeworkPictureId;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getWrongTitle() {
        return wrongTitle;
    }

    public void setWrongTitle(String wrongTitle) {
        this.wrongTitle = wrongTitle;
    }

    public String getCorrectText() {
        return correctText;
    }

    public void setCorrectText(String correctText) {
        this.correctText = correctText;
    }

    public String getListNum() {
        return listNum;
    }

    public void setListNum(String listNum) {
        this.listNum = listNum;
    }

    public Integer getLineNum() {
        return lineNum;
    }

    public void setLineNum(Integer lineNum) {
        this.lineNum = lineNum;
    }

    public Integer getColumnNum() {
        return columnNum;
    }

    public void setColumnNum(Integer columnNum) {
        this.columnNum = columnNum;
    }

    public String getStudentId() {
        return studentId;
    }

    public void setStudentId(String studentId) {
        this.studentId = studentId;
    }

    public String getDerver() {
        return derver;
    }

    public void setDerver(String derver) {
        this.derver = derver;
    }

    @Override
    public String toString() {
        return "HomeworkWrongQuestion{" +
                "homeworkId='" + homeworkId + '\'' +
                ", homeworkPictureId='" + homeworkPictureId + '\'' +
                ", image='" + image + '\'' +
                ", createTime=" + createTime +
                ", wrongTitle='" + wrongTitle + '\'' +
                ", correctText='" + correctText + '\'' +
                ", listNum='" + listNum + '\'' +
                ", lineNum=" + lineNum +
                ", columnNum=" + columnNum +
                '}';
    }
}
